twitter4j

## Enum JSONObjectType.Type

- java.lang.Object
- - java.lang.Enum<JSONObjectType.Type>
  - - twitter4j.JSONObjectType.Type

All Implemented Interfaces:
  Serializable, Comparable<JSONObjectType.Type>

Enclosing class:
  JSONObjectType

    public static enum JSONObjectType.Type
    extends Enum<JSONObjectType.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BLOCK`
`DELETE`
`DIRECT_MESSAGE`
`DISCONNECTION`
`FAVORITE`
`FAVORITED_RETWEET`
`FOLLOW`
`FRIENDS`
`LIMIT`
`MUTE`
`QUOTED_TWEET`
`RETWEETED_RETWEET`
`SCRUB_GEO`
`SENDER`
`STALL_WARNING`
`STATUS`
`UNBLOCK`
`UNFAVORITE`
`UNFOLLOW`
`UNKNOWN`
`UNMUTE`
`USER_DELETE`
`USER_LIST_CREATED`
`USER_LIST_DESTROYED`
`USER_LIST_MEMBER_ADDED`
`USER_LIST_MEMBER_DELETED`
`USER_LIST_SUBSCRIBED`
`USER_LIST_UNSUBSCRIBED`
`USER_LIST_UPDATED`
`USER_SUSPEND`
`USER_UPDATE`

### Method Summary

All Methods Static Methods Concrete Methods
`static JSONObjectType.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JSONObjectType.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SENDER

    public static final JSONObjectType.Type SENDER

#### STATUS

    public static final JSONObjectType.Type STATUS

#### DIRECT_MESSAGE

    public static final JSONObjectType.Type DIRECT_MESSAGE

#### DELETE

    public static final JSONObjectType.Type DELETE

#### LIMIT

    public static final JSONObjectType.Type LIMIT

#### STALL_WARNING

    public static final JSONObjectType.Type STALL_WARNING

#### SCRUB_GEO

    public static final JSONObjectType.Type SCRUB_GEO

#### FRIENDS

    public static final JSONObjectType.Type FRIENDS

#### FAVORITE

    public static final JSONObjectType.Type FAVORITE

#### UNFAVORITE

    public static final JSONObjectType.Type UNFAVORITE

#### FOLLOW

    public static final JSONObjectType.Type FOLLOW

#### UNFOLLOW

    public static final JSONObjectType.Type UNFOLLOW

#### USER_LIST_MEMBER_ADDED

    public static final JSONObjectType.Type USER_LIST_MEMBER_ADDED

#### USER_LIST_MEMBER_DELETED

    public static final JSONObjectType.Type USER_LIST_MEMBER_DELETED

#### USER_LIST_SUBSCRIBED

    public static final JSONObjectType.Type USER_LIST_SUBSCRIBED

#### USER_LIST_UNSUBSCRIBED

    public static final JSONObjectType.Type USER_LIST_UNSUBSCRIBED

#### USER_LIST_CREATED

    public static final JSONObjectType.Type USER_LIST_CREATED

#### USER_LIST_UPDATED

    public static final JSONObjectType.Type USER_LIST_UPDATED

#### USER_LIST_DESTROYED

    public static final JSONObjectType.Type USER_LIST_DESTROYED

#### USER_UPDATE

    public static final JSONObjectType.Type USER_UPDATE

#### USER_DELETE

    public static final JSONObjectType.Type USER_DELETE

#### USER_SUSPEND

    public static final JSONObjectType.Type USER_SUSPEND

#### BLOCK

    public static final JSONObjectType.Type BLOCK

#### UNBLOCK

    public static final JSONObjectType.Type UNBLOCK

#### DISCONNECTION

    public static final JSONObjectType.Type DISCONNECTION

#### RETWEETED_RETWEET

    public static final JSONObjectType.Type RETWEETED_RETWEET

#### FAVORITED_RETWEET

    public static final JSONObjectType.Type FAVORITED_RETWEET

#### QUOTED_TWEET

    public static final JSONObjectType.Type QUOTED_TWEET

#### MUTE

    public static final JSONObjectType.Type MUTE

#### UNMUTE

    public static final JSONObjectType.Type UNMUTE

#### UNKNOWN

    public static final JSONObjectType.Type UNKNOWN

### Method Detail

#### values

    public static JSONObjectType.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JSONObjectType.Type c : JSONObjectType.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JSONObjectType.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null